import request from "@/utils/request";

// 获取选课列表
export function courseSelectionList(query) {
  return request({
    url: "/curricula/student/list",
    method: "get",
    params: query,
  });
}

/** 春季选课情况API **/
// 获取春季选课情况列表
export function courseSelectionSpringList(query) {
  return request({
    url: "/curricula/student/listCj",
    method: "get",
    params: query,
  });
}
/** 夏季选课情况API **/
// 获取夏季选课列表
export function courseSelectionSummerList(query) {
  return request({
    url: "/curricula/student/listXj",
    method: "get",
    params: query,
  });
}
// 夏季分班规则 获取每种课程选择人数
export function getsDivision(query) {
  return request({
    url: "/schoolDivision/getNumber",
    method: "get",
    params: query,
  });
}
//分班规则
export function addDivision(data) {
  return request({
    url: "/schoolDivision/add",
    method: "post",
    data,
  });
}

/** 艺体选课情况API **/
// 获取艺体选课列表
export function courseSelectionArtList(query) {
  return request({
    url: "/curricula/student/listYt",
    method: "get",
    params: query,
  });
}
/** 夏季二次选课情况API **/
// 获取夏季二次选课列表
export function courseSelectionSummerListec(query) {
  return request({
    url: "/curricula/student/listXjEc",
    method: "get",
    params: query,
  });
}

//二次分班规则
export function addDivisionec(data) {
  return request({
    url: "/schoolDivision/addEc",
    method: "post",
    data,
  });
}
